<template>
  <Error :show-button="!source" @error-click="push('/')" />
</template>
<script lang="ts" setup>
defineOptions({ name: 'Error404' })
const { push } = useRouter()

const route = useRoute()

const source = computed(() => sessionStorage.getItem('LOGIN_SOURCE') || route.query.source)
</script>
